# Image Processor WebP

**The Image Processor WebP** module is a Drupal tool designed to simplify the
image optimization process on websites by automatically converting all uploaded
images to the WEBP format, which provides excellent compression and quality.

## Key Features
- **Automatically creates a WEBP copy of each JPG/PNG uploaded image.**
- **HTML Modification**: Scans the generated HTML page and replaces `<img>`
  tags with `<picture>` tags for enhanced browser support 
  and adaptive image display.

## Configuration Options
The module provides a backend interface for setting up:
- Choice of image processing library (GD, ImageMagick, etc.)
- Toggle for auto-conversion
- Default formats and file extensions for different media types

## Screenshot
![Screenshot of Image Processor WebP](screenshot.png)
